import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;

public class Test_Cube {
	public static void main(String[] args) throws Exception {
		if (args.length == 0) {
			for (int i = 1; new File("tests/i" + i + ".txt").exists(); ++i) {
				Assignment3_Cube cube = new Assignment3_Cube("tests/i" + i + ".txt");
				BufferedReader br = new BufferedReader(new FileReader("tests/o" + i + ".txt"));
				int size = Integer.parseInt(br.readLine());
				int f, j, k;
				for (f=1; f<=6; ++f) {
					int[][] face = cube.report(f);
					for (j=0; j<size; ++j) {
						String[] spl = br.readLine().trim().split(" ");
						for (k=0; k<size; ++k) {
							if (face[j][k] != Integer.parseInt(spl[k])) {
								throw new Exception("\u001B[1;31mWrong answer on test " + i + "\u001B[0m");
							}
						}
					}
				}
			}
			System.out.println("\u001B[1;32mAC!\u001B[0m");
		} else {
			Assignment3_Cube cube = new Assignment3_Cube(args[0]);
			for (int i = 1; i <= 6; ++i) {
				int[][] t = cube.report(i);
				if (i == 1) {
					System.out.println(t.length);
				}
				int j, k;
				for (j=0; j<t.length; ++j) {
					for (k=0; k<t[j].length; ++k) {
						System.out.print(t[j][k] + " ");
					}
					System.out.println();
				}
			}
		}
	}
}
