@echo off

if "%1" == "" goto :all
if "%1" == "clean" goto :clean
if "%1" == "chk" goto :check
if "%1" == "check" goto :check
if "%1" == "tc" goto :tc
if "%1" == "testcases" goto :tc
if "%1" == "tclean" goto :tclean
goto :error

:all
echo javac Test_Cube.java
javac Test_Cube.java
goto :end

:check
echo javac Test_Cube.java
javac Test_Cube.java
echo java Test_Cube
java Test_Cube
goto :end

:clean
echo rm -f *.class
del *.class
goto :end

:tc
echo python3 make.py 200 2> error.log
python make.py 200 2> error.log
goto :end

:tclean
echo rm -f tests/*.txt
del tests\*.txt
goto :end

:error
echo make: *** No rule to make target `%1'.  Stop.

:end